<?php

/**
 * @file
 * Documentation for Image Style Metadata API.
 *
 * This file contains hook documentation and examples for the image_style_metadata module.
 */

/**
 * Allows modules to alter an ImageStyleMetadata entity and additional data before it is saved.
 *
 * @param \Drupal\image_style_metadata\Entity\ImageStyleMetadata $entity
 *   The ImageStyleMetadata entity being altered.
 * @param \Drupal\Core\Image\ImageInterface $derivative_image
 *   The derivative Image entity.
 *
 * @ingroup hooks
 */
function hook_image_style_metadata_alter(\Drupal\image_style_metadata\Entity\ImageStyleMetadata $entity, \Drupal\Core\Image\ImageInterface $derivative_image) {
  // Add a custom field to the entity based on the derivative image.
}
