<?php

namespace Drupal\jsonapi_image_style_metadata\Plugin\Field\FieldType;

use Drupal\Core\Field\FieldStorageDefinitionInterface;
use Drupal\Core\Field\Plugin\Field\FieldType\MapItem;

/**
 * Plugin implementation of the 'image_style_metadata' field type.
 *
 * @FieldType(
 *   id = "image_style_metadata",
 *   label = @Translation("Image style metadata"),
 *   description = @Translation("Normalized Image style metadata"),
 *   no_ui = TRUE,
 *   list_class = "\Drupal\jsonapi_image_style_metadata\Plugin\Field\FieldType\ImageStyleMetadataNormalizedFieldItemList",
 * )
 */
class ImageStyleMetadataNormalizedFieldItem extends MapItem {

  /**
   * {@inheritdoc}
   */
  public static function schema(FieldStorageDefinitionInterface $field_definition) {
    return [];
  }

}
